package pps.core.space.service;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import pps.cloud.space.service.ISpaceYesterdayGreenRateCloudService;
import pps.core.space.entity.SpaceOptimizeShortDurationView;
import pps.core.space.mapper.SpaceOptimizeShortDurationViewMapper;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;

import java.util.List;

/**
 * 昨日绿电占比Cloud模块
 *
 * @author ZWT
 * @date 2024/11/27 15:17
 */
@XService
public class SpaceYesterdayGreenRateCloudServiceImpl extends SpaceOptimizeBaseService implements ISpaceYesterdayGreenRateCloudService {

    /**
     * 昨日绿电占比
     *
     * @param context 上下文
     * @return {@link XServiceResult }
     */
    @Override
    public XServiceResult yesterdayGreenRateJob(XContext context) {
        //取昨日
        DateTime beginOfYesterday = DateUtil.beginOfDay(DateUtil.yesterday());
        //取昨日间开优化井
        SpaceOptimizeShortDurationViewMapper spaceMapper = context.getBean(SpaceOptimizeShortDurationViewMapper.class);
        List<SpaceOptimizeShortDurationView> durationViewList = spaceMapper.selectResultList(SpaceOptimizeShortDurationView.builder()
                .optimizeDate(beginOfYesterday)
                .build());
        if (CollUtil.isEmpty(durationViewList)) {

        }

        return XServiceResult.OK;
    }
}